Text.XML.Stream.Parse

# Parsing XML files

parseBytes

parseBytesPos

parseText'

parseText

parseTextPos

detectUtf

parseFile

parseLBS

## Parser settings

data ParseSettings

def

type DecodeEntities

psDecodeEntities

psRetainNamespaces

### Entity decoding

decodeXmlEntities

decodeHtmlEntities

# Event parsing

tag

tagPredicate

tagName

tagNoAttr

tagIgnoreAttrs

tagPredicateIgnoreAttrs

content

contentMaybe

# Ignoring tags/trees

ignoreTag

ignoreTagName

ignoreAnyTagName

ignoreAllTags

ignoreTree

ignoreTreeName

ignoreAnyTreeName

ignoreAllTrees

ignoreAllTreesContent

# Attribute parsing

data AttrParser a

attr

requireAttr

optionalAttr

requireAttrRaw

optionalAttrRaw

ignoreAttrs

# Combinators

orE

choose

many

manyIgnore

many'

force

# Streaming combinators

manyYield

manyIgnoreYield

manyYield'

# Exceptions

data XmlException

# Other types

data PositionRange

type EventPos